edu.cmu.pslc.logging

## Class AbstractMessageLogger

- java.lang.Object
- - edu.cmu.pslc.logging.AbstractMessageLogger

- All Implemented Interfaces:
    MessageLogger
  Direct Known Subclasses:
    FileLogger, OliDatabaseLogger, OliDiskLogger

      public abstract class AbstractMessageLogger
      extends java.lang.Object
      implements MessageLogger

  The abstract class for the message loggers.
  Version:
    $Revision: 16973 $
    Last modified by: $Author: ctipper $
    Last modified on: $Date: 2020-07-14 11:20:24 -0400 (Tue, 14 Jul 2020) $
  Author:
    Alida Skogsholm

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `CLOSE_ROOT_NODE` Closing string for every XML document.
    `static java.lang.String` | `ENCODING_ISO_8859_1` ISO-8859-1 encoding string.
    `static java.lang.String` | `ENCODING_UTF8` UTF-8 encoding string.
    `protected static java.lang.String` | `INFO_TYPE` Fixed info_type value for all messages: refers to DTD.
    `static java.lang.String` | `PROD_URL` Logging URL when in production mode.
    `static java.lang.String` | `QA_URL` Logging URL for QA testing.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractMessageLogger(java.lang.String encoding)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getCloseXml()` Returns the closing root node string.
    `protected java.lang.String` | `getOpenXml()` Returns the opening XML string including the XML version and the root node, without the doc type.
    `protected java.lang.String` | `getOpenXmlSchemaType()` Returns the opening XML string including the XML version, doc type and the root node.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface edu.cmu.pslc.logging.MessageLogger

      `close, log, log, log, log`

- - ### Field Detail

    - #### ENCODING_UTF8

          public static final java.lang.String ENCODING_UTF8

      UTF-8 encoding string.
      See Also:
        Constant Field Values

    - #### ENCODING_ISO_8859_1

          public static final java.lang.String ENCODING_ISO_8859_1

      ISO-8859-1 encoding string.
      See Also:
        Constant Field Values

    - #### CLOSE_ROOT_NODE

          protected static final java.lang.String CLOSE_ROOT_NODE

      Closing string for every XML document.
      See Also:
        Constant Field Values

    - #### PROD_URL

          public static final java.lang.String PROD_URL

      Logging URL when in production mode.
      See Also:
        Constant Field Values

    - #### QA_URL

          public static final java.lang.String QA_URL

      Logging URL for QA testing.
      See Also:
        Constant Field Values

    - #### INFO_TYPE

          protected static final java.lang.String INFO_TYPE

      Fixed info_type value for all messages: refers to DTD.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractMessageLogger

          protected AbstractMessageLogger(java.lang.String encoding)

      Constructor.
      Parameters:
        `encoding` - the encoding to be indicated at the top of the XML

  - ### Method Detail

    - #### getOpenXmlSchemaType

          protected java.lang.String getOpenXmlSchemaType()

      Returns the opening XML string including the XML version, doc type and the root node.
      Returns:
        the opening XML string including the XML version, doc type and the root node

    - #### getOpenXml

          protected java.lang.String getOpenXml()

      Returns the opening XML string including the XML version and the root node, without the doc type.
      Returns:
        the opening XML string including the XML version and the root node

    - #### getCloseXml

          protected java.lang.String getCloseXml()

      Returns the closing root node string.
      Returns:
        the closing root node string

Copyright (c) 2015 - Pittsburgh Science of Learning Center